# ACE_Dumpable Class Reference

Base class that defines a uniform interface for all object dumping. More...

`#include <Dump.h>`

Inheritance diagram for ACE_Dumpable:

[legend]
List of all members.

## Public Member Functions

| ACE_Dumpable (const void *)
| Constructor.
virtual void | dump (void) const =0
| This pure virtual method must be filled in by a subclass.

## Protected Member Functions

virtual | ~ACE_Dumpable (void)

## Private Attributes

const void * | this_
| Pointer to the object that is being stored.

## Friends

class | ACE_ODB
class | ACE_Dumpable_Ptr

## Detailed Description

Base class that defines a uniform interface for all object dumping.

## Constructor & Destructor Documentation

ACE_Dumpable::ACE_Dumpable | ( | const void * |  | ) |

| Constructor.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Dumpable::~ACE_Dumpable | ( | void |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void ACE_Dumpable::dump | ( | void |  | ) | const`[pure virtual]`

| This pure virtual method must be filled in by a subclass. Implemented in ACE_Dumpable_Adapter< Concrete >.

## Friends And Related Function Documentation

friend class ACE_Dumpable_Ptr`[friend]`

friend class ACE_ODB`[friend]`

## Member Data Documentation

const void* ACE_Dumpable::this_`[private]`

| Pointer to the object that is being stored. Reimplemented in ACE_Dumpable_Adapter< Concrete >.

The documentation for this class was generated from the following files:

- Dump.h
- Dump.cpp